Skip to content

Asana: Stories schemas

22 Asana schemas with complete fields and constraints.

← Stories operations · All schemas

Create a story on a task — request body — body data

FieldTypePresenceDescription and constraints
$JSONRoot
$ (allOf 1)ModelAll variants applyExpand Update a story — request body — body data
$ (allOf 2)objectAll variants apply
$ (allOf 2).parent_commentstringOptionalThe GID of the top-level comment envelope to reply to, exposed as `comment_gid` on story reads. This is not the story `gid`. Retrieve it with `GET /stories/{story_gid}?opt_fields=comment_gid`. The parent must belong to the task in the request URL and must not itself be a reply. Works with either `text` or `html_text`. Omit this input to create a top-level comment.

Referenced models: Update a story — request body — body data

Get a story — request body — query

FieldTypePresenceDescription and constraints
$objectRootAdditional keys: not allowed
opt_prettybooleanOptional
opt_fieldsarrayOptional
opt_fields[]stringEach itemOne of: anchor_gid, assignee, assignee.name, comment_gid, created_at, created_by, created_by.name, custom_field, custom_field.date_value, custom_field.date_value.date, custom_field.date_value.date_time, custom_field.display_value, custom_field.enabled, custom_field.enum_options, custom_field.enum_options.color, custom_field.enum_options.enabled, custom_field.enum_options.name, custom_field.enum_value, custom_field.enum_value.color, custom_field.enum_value.enabled, custom_field.enum_value.name, custom_field.id_prefix, custom_field.input_restrictions, custom_field.is_formula_field, custom_field.is_lookup_field, custom_field.multi_enum_values, custom_field.multi_enum_values.color, custom_field.multi_enum_values.enabled, custom_field.multi_enum_values.name, custom_field.name, custom_field.number_value, custom_field.representation_type, custom_field.text_value, custom_field.type, dependency, dependency.created_by, dependency.name, dependency.resource_subtype, duplicate_of, duplicate_of.created_by, duplicate_of.name, duplicate_of.resource_subtype, duplicated_from, duplicated_from.created_by, duplicated_from.name, duplicated_from.resource_subtype, follower, follower.name, hearted, hearts, hearts.user, hearts.user.name, html_text, is_editable, is_edited, is_pinned, liked, likes, likes.user, likes.user.name, new_approval_status, new_date_value, new_dates, new_dates.due_at, new_dates.due_on, new_dates.start_on, new_enum_value, new_enum_value.color, new_enum_value.enabled, new_enum_value.name, new_multi_enum_values, new_multi_enum_values.color, new_multi_enum_values.enabled, new_multi_enum_values.name, new_name, new_number_value, new_people_value, new_people_value.name, new_resource_subtype, new_section, new_section.name, new_text_value, num_hearts, num_likes, old_approval_status, old_date_value, old_dates, old_dates.due_at, old_dates.due_on, old_dates.start_on, old_enum_value, old_enum_value.color, old_enum_value.enabled, old_enum_value.name, old_multi_enum_values, old_multi_enum_values.color, old_multi_enum_values.enabled, old_multi_enum_values.name, old_name, old_number_value, old_people_value, old_people_value.name, old_resource_subtype, old_section, old_section.name, old_text_value, previews, previews.fallback, previews.footer, previews.header, previews.header_link, previews.html_text, previews.text, previews.title, previews.title_link, project, project.name, project.resource_subtype, reaction_summary, reaction_summary.count, reaction_summary.emoji_base, reaction_summary.reacted, reaction_summary.variant, resource_subtype, source, sticker_name, story, story.anchor_gid, story.comment_gid, story.created_at, story.created_by, story.created_by.name, story.resource_subtype, story.text, tag, tag.name, target, target.created_by, target.name, target.resource_subtype, task, task.created_by, task.name, task.resource_subtype, text, type

Get a story — response body — data

FieldTypePresenceDescription and constraints
$objectRoot
dataModelRequired within parentExpand Get a story — response body — data data — sdk__Story Response

Referenced models: Get a story — response body — data data — sdk__Story Response

Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item

FieldTypePresenceDescription and constraints
$objectRootAn object to represent a user's like.
gidstringOptionalGlobally unique identifier of the object, as a string.
Read only: true
userModelOptionalExpand Get users in a team — response body — data data item

Referenced models: Get users in a team — response body — data data item

Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates

FieldTypePresenceDescription and constraints
$objectRoot*Conditional*
Read only: true
start_onJSONOptional
start_on (anyOf 1)stringAlternativeThe day on which work for this goal begins, or null if the goal has no start date. This takes a date with `YYYY-MM-DD` format, and cannot be set unless there is an accompanying due date.
Format: date
start_on (anyOf 2)nullAlternative
due_atJSONOptional
due_at (anyOf 1)stringAlternativeThe UTC date and time on which this task is due, or null if the task has no due time. This takes an ISO 8601 date string in UTC and should not be used together with `due_on`.
Format: date-time
due_at (anyOf 2)nullAlternative
due_onstringOptionalThe localized day on which this goal is due. This takes a date with format `YYYY-MM-DD`.
Format: date

Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item

FieldTypePresenceDescription and constraints
$objectRootA collection of rich text that will be displayed as a preview to another app.

This is read-only except for a small group of whitelisted apps.
Read only: true
fallbackstringOptionalSome fallback text to display if unable to display the full preview.
footerstringOptionalText to display in the footer.
headerstringOptionalText to display in the header.
header_linkstringOptionalWhere the header will link to.
html_textstringOptionalHTML formatted text for the body of the preview. See [rich text](/docs/rich-text#reading-rich-text).
textstringOptionalText for the body of the preview.
titlestringOptionalText to display as the title.
title_linkstringOptionalWhere to title will link to.

Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item

FieldTypePresenceDescription and constraints
$objectRootA summary of an emoji reaction on an object.
emoji_basestringOptionalThe emoji base character used in the reaction.
variantstringOptionalThe full emoji string used in the reaction.
countJSONOptional
count (anyOf 1)numberAlternativeThe number of reactions with the emoji variant on the object.
count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
reactedbooleanOptionalWhether the current user has reacted with the emoji variant on the object.

Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text

FieldTypePresenceDescription and constraints
$objectRootA story represents an activity associated with an object in the Asana system.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
created_atstringOptionalThe time at which this resource was created.
Format: date-time
Read only: true
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Read only: true
textstringOptionalThe plain text of the comment to add. Cannot be used with html_text.
html_textstringOptional[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text).
is_pinnedbooleanOptional*Conditional*. Whether the story should be pinned on the resource.
sticker_namestringOptionalThe name of the sticker in this story. `null` if there is no sticker.
Known values: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love

Get a story — response body — data data new dates

FieldTypePresenceDescription and constraints
$objectRoot*Conditional*
Read only: true
start_onJSONOptional
start_on (anyOf 1)stringAlternativeThe day on which work for this goal begins, or null if the goal has no start date. This takes a date with `YYYY-MM-DD` format, and cannot be set unless there is an accompanying due date.
Format: date
start_on (anyOf 2)nullAlternative
due_atJSONOptional
due_at (anyOf 1)stringAlternativeThe UTC date and time on which this task is due, or null if the task has no due time. This takes an ISO 8601 date string in UTC and should not be used together with `due_on`.
Format: date-time
due_at (anyOf 2)nullAlternative
due_onstringOptionalThe localized day on which this goal is due. This takes a date with format `YYYY-MM-DD`.
Format: date

Get a story — response body — data data new enum value

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
Enum options are the possible values which an enum custom field can adopt. An enum custom field must contain at least 1 enum option but no more than 500.

You can add enum options to a custom field by using the `POST /custom_fields/custom_field_gid/enum_options` endpoint.

**It is not possible to remove or delete an enum option**. Instead, enum options can be disabled by updating the `enabled` field to false with the `PUT /enum_options/enum_option_gid` endpoint. Other attributes can be updated similarly.

On creation of an enum option, `enabled` is always set to `true`, meaning the enum option is a selectable value for the custom field. Setting `enabled=false` is equivalent to “trashing” the enum option in the Asana web app within the “Edit Fields” dialog. The enum option will no longer be selectable but, if the enum option value was previously set within a task, the task will retain the value.

Enum options are an ordered list and by default new enum options are inserted at the end. Ordering in relation to existing enum options can be specified on creation by using `insert_before` or `insert_after` to reference an existing enum option. Only one of `insert_before` and `insert_after` can be provided when creating a new enum option.

An enum options list can be reordered with the `POST /custom_fields/custom_field_gid/enum_options/insert` endpoint.
Read only: true
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalThe name of the enum option.
enabledbooleanOptionalWhether or not the enum option is a selectable value for the custom field.
colorstringOptionalThe color of the enum option. Defaults to `none`.

Get a story — response body — data data new section

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A *section* is a subdivision of a project that groups tasks together. It can either be a header above a list of tasks in a list view or a column in a board view of a project.
Read only: true
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalThe name of the section (i.e. the text displayed as the section header).

Get a story — response body — data data previews item

FieldTypePresenceDescription and constraints
$objectRootA collection of rich text that will be displayed as a preview to another app.

This is read-only except for a small group of whitelisted apps.
Read only: true
fallbackstringOptionalSome fallback text to display if unable to display the full preview.
footerstringOptionalText to display in the footer.
headerstringOptionalText to display in the header.
header_linkstringOptionalWhere the header will link to.
html_textstringOptionalHTML formatted text for the body of the preview. See [rich text](/docs/rich-text#reading-rich-text).
textstringOptionalText for the body of the preview.
titlestringOptionalText to display as the title.
title_linkstringOptionalWhere to title will link to.

Get a story — response body — data data reaction summary item

FieldTypePresenceDescription and constraints
$objectRootA summary of an emoji reaction on an object.
emoji_basestringOptionalThe emoji base character used in the reaction.
variantstringOptionalThe full emoji string used in the reaction.
countJSONOptional
count (anyOf 1)numberAlternativeThe number of reactions with the emoji variant on the object.
count (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
reactedbooleanOptionalWhether the current user has reacted with the emoji variant on the object.

Get a story — response body — data data story

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A story represents an activity associated with an object in the Asana system.
Read only: true
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
comment_gidJSONOptional
comment_gid (anyOf 1)stringAlternative*Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories.
Read only: true
comment_gid (anyOf 2)nullAlternative
anchor_gidJSONOptional
anchor_gid (anyOf 1)stringAlternative*Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads.
Read only: true
anchor_gid (anyOf 2)nullAlternative
created_atstringOptionalThe time at which this resource was created.
Format: date-time
Read only: true
created_byModelOptionalExpand Get an OOO entry — response body — data data user
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Read only: true
textstringOptional*Create-only*. Human-readable text for the story or comment.
This will not include the name of the creator.
*Note: This is not guaranteed to be stable for a given type of story. For example, text for a reassignment may not always say “assigned to …” as the text for a story can both be edited and change based on the language settings of the user making the request.*
Use the `resource_subtype` property to discover the action that created the story.

Referenced models: Get an OOO entry — response body — data data user

Get a story — response body — data data tag

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A *tag* is a label that can be attached to any task in Asana. It exists in a single workspace or organization.
Read only: true
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalName of the tag. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer.

Get a story — response body — data data task

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
The *task* is the basic object around which many operations in Asana are centered.
Read only: true
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
namestringOptionalThe name of the task.
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
The resource_subtype `milestone` represent a single moment in time. This means tasks with this subtype cannot have a start_date.
Known values: default_task, milestone, approval, custom
created_byobjectOptional[Opt In](/docs/inputoutput-options). A *user* object represents an account in Asana that can be given access to various workspaces, projects, and tasks.
Read only: true
created_by.gidstringOptionalGlobally unique identifier of the resource.
created_by.resource_typestringOptionalThe type of resource.

Get a story — response body — data data — Story Response

FieldTypePresenceDescription and constraints
$JSONRoot
$ (allOf 1)ModelAll variants applyExpand Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text
$ (allOf 2)objectAll variants apply
$ (allOf 2).comment_gidJSONOptional
$ (allOf 2).comment_gid (anyOf 1)stringAlternative*Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories.
Read only: true
$ (allOf 2).comment_gid (anyOf 2)nullAlternative
$ (allOf 2).anchor_gidJSONOptional
$ (allOf 2).anchor_gid (anyOf 1)stringAlternative*Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads.
Read only: true
$ (allOf 2).anchor_gid (anyOf 2)nullAlternative
$ (allOf 2).created_byModelOptionalExpand Get users in a team — response body — data data item
$ (allOf 2).typestringOptionalKnown values: comment, system
Read only: true
$ (allOf 2).is_editablebooleanOptional*Conditional*. Whether the text of the story can be edited after creation.
Read only: true
$ (allOf 2).is_editedbooleanOptional*Conditional*. Whether the text of the story has been edited after creation.
Read only: true
$ (allOf 2).heartedbooleanOptional*Deprecated - please use likes instead*
*Conditional*. True if the story is hearted by the authorized user, false if not.
Read only: true
$ (allOf 2).heartsarrayOptional*Deprecated - please use likes instead*

*Conditional*. Array of likes for users who have hearted this story.
Read only: true
$ (allOf 2).hearts[]ModelEach itemExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item
$ (allOf 2).num_heartsJSONOptional
$ (allOf 2).num_hearts (anyOf 1)integerAlternative*Deprecated - please use likes instead*

*Conditional*. The number of users who have hearted this story.
Read only: true
$ (allOf 2).num_hearts (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
$ (allOf 2).likedbooleanOptional*Conditional*. True if the story is liked by the authorized user, false if not.
Read only: true
$ (allOf 2).likesarrayOptional*Conditional*. Array of likes for users who have liked this story.
Read only: true
$ (allOf 2).likes[]ModelEach itemExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item
$ (allOf 2).num_likesJSONOptional
$ (allOf 2).num_likes (anyOf 1)integerAlternative*Conditional*. The number of users who have liked this story.
Read only: true
$ (allOf 2).num_likes (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
$ (allOf 2).reaction_summaryarrayOptionalSummary of emoji reactions on this story.
Read only: true
$ (allOf 2).reaction_summary[]ModelEach itemExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item
$ (allOf 2).previewsarrayOptional<p><strong style={{ color: "#4573D2" }}>Full object requires scope: </strong><code>attachments:read</code></p>

*Conditional*. A collection of previews to be displayed in the story.

*Note: This property only exists for comment stories.*
Read only: true
$ (allOf 2).previews[]ModelEach itemExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item
$ (allOf 2).old_namestringOptional*Conditional* The previous name of the task before a name change.
$ (allOf 2).new_nameJSONOptional
$ (allOf 2).new_name (anyOf 1)stringAlternative*Conditional* The updated name of the task after a name change.
Read only: true
$ (allOf 2).new_name (anyOf 2)nullAlternative
$ (allOf 2).old_datesModelOptionalExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates
$ (allOf 2).new_datesModelOptionalExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates
$ (allOf 2).old_resource_subtypestringOptional*Conditional*
Read only: true
$ (allOf 2).new_resource_subtypestringOptional*Conditional*
Read only: true
$ (allOf 2).storyModelOptionalExpand Get stories from a goal — response body — data, next page data item
*Conditional*
Read only: true
$ (allOf 2).assigneeModelOptionalExpand Get users in a team — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).followerModelOptionalExpand Get users in a team — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).old_sectionModelOptionalExpand Get sections in a project — response body — data, next page data item
*Conditional*
Read only: true
$ (allOf 2).new_sectionModelOptionalExpand Get sections in a project — response body — data, next page data item
*Conditional*
Read only: true
$ (allOf 2).taskModelOptionalExpand Search tasks in a workspace — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).projectModelOptionalExpand Search projects in a workspace — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).tagModelOptionalExpand Get a task's tags — response body — data, next page data item
*Conditional*
Read only: true
$ (allOf 2).custom_fieldModelOptionalExpand Get a membership — response body — data / data / access_level: admin, editor, user parent
*Conditional*
Read only: true
$ (allOf 2).old_text_valuestringOptional*Conditional* The previous value of a text-type field before it was updated.
Read only: true
$ (allOf 2).new_text_valuestringOptional*Conditional* The new value of a text-type field after it was updated.
Read only: true
$ (allOf 2).old_number_valueJSONOptional
$ (allOf 2).old_number_value (anyOf 1)JSONAlternative
$ (allOf 2).old_number_value (anyOf 1) (anyOf 1)integerAlternative*Conditional* The previous value of a number-type custom field before the update.
Read only: true
$ (allOf 2).old_number_value (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
$ (allOf 2).old_number_value (anyOf 2)nullAlternative
$ (allOf 2).new_number_valueJSONOptional
$ (allOf 2).new_number_value (anyOf 1)integerAlternative*Conditional* The new value of a number-type custom field after the update.
Read only: true
$ (allOf 2).new_number_value (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
$ (allOf 2).old_enum_valueModelOptionalExpand Create an enum option — response body — data data — Enum Option
*Conditional*
Read only: true
$ (allOf 2).new_enum_valueModelOptionalExpand Create an enum option — response body — data data — Enum Option
*Conditional*
Read only: true
$ (allOf 2).old_date_valueJSONOptionalRead only: true
$ (allOf 2).old_date_value (allOf 1)ModelAll variants applyExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates
$ (allOf 2).old_date_value (allOf 2)JSONAll variants apply*Conditional*. The old value of a date custom field story.
$ (allOf 2).new_date_valueJSONOptionalRead only: true
$ (allOf 2).new_date_value (allOf 1)ModelAll variants applyExpand Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates
$ (allOf 2).new_date_value (allOf 2)JSONAll variants apply*Conditional* The new value of a date custom field story.
$ (allOf 2).old_people_valuearrayOptional*Conditional*. The old value of a people custom field story.
Read only: true
$ (allOf 2).old_people_value[]ModelEach itemExpand Get users in a team — response body — data data item
$ (allOf 2).new_people_valuearrayOptional*Conditional*. The new value of a people custom field story.
Read only: true
$ (allOf 2).new_people_value[]ModelEach itemExpand Get users in a team — response body — data data item
$ (allOf 2).old_multi_enum_valuesarrayOptional*Conditional*. The old value of a multi-enum custom field story.
Read only: true
$ (allOf 2).old_multi_enum_values[]ModelEach itemExpand Create an enum option — response body — data data — Enum Option
$ (allOf 2).new_multi_enum_valuesarrayOptional*Conditional*. The new value of a multi-enum custom field story.
Read only: true
$ (allOf 2).new_multi_enum_values[]ModelEach itemExpand Create an enum option — response body — data data — Enum Option
$ (allOf 2).new_approval_statusstringOptional*Conditional*. The new value of approval status.
Read only: true
$ (allOf 2).old_approval_statusstringOptional*Conditional*. The old value of approval status.
Read only: true
$ (allOf 2).duplicate_ofModelOptionalExpand Search tasks in a workspace — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).duplicated_fromModelOptionalExpand Search tasks in a workspace — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).dependencyModelOptionalExpand Search tasks in a workspace — response body — data data item
*Conditional*
Read only: true
$ (allOf 2).sourcestringOptionalThe component of the Asana product the user used to trigger the story.
Known values: web, email, mobile, api, unknown
Read only: true
$ (allOf 2).targetJSONOptional
$ (allOf 2).target (allOf 1)ModelAll variants applyExpand Search tasks in a workspace — response body — data data item
$ (allOf 2).target (allOf 2)objectAll variants applyThe object this story is associated with. Currently may only be a task.
Read only: true

Referenced models: Create an enum option — response body — data data — Enum Option, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system likes item, Get a membership — response body — data / data / access_level: admin, editor, user parent, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system previews item, Search projects in a workspace — response body — data data item, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system reaction summary item, Get sections in a project — response body — data, next page data item, Get a story — response body — data data created at, gid, html text, is pinned, resource subtype, resource type, sticker name, text, Get stories from a goal — response body — data, next page data item, Get a story — response body — data / data / source: web, email, mobile, api, unknown, type: comment, system new dates, Get a task's tags — response body — data, next page data item, Search tasks in a workspace — response body — data data item, Get users in a team — response body — data data item

Get a story — response body — data data — sdk__Story Response

FieldTypePresenceDescription and constraints
$objectRootA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A story represents an activity associated with an object in the Asana system.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
created_atstringOptionalThe time at which this resource was created.
Format: date-time
Read only: true
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Read only: true
textstringOptionalThe plain text of the comment to add. Cannot be used with html_text.
html_textstringOptional[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text).
is_pinnedbooleanOptional*Conditional*. Whether the story should be pinned on the resource.
sticker_namestringOptionalThe name of the sticker in this story. `null` if there is no sticker.
Known values: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love
comment_gidJSONOptional
comment_gid (anyOf 1)stringAlternative*Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories.
Read only: true
comment_gid (anyOf 2)nullAlternative
anchor_gidJSONOptional
anchor_gid (anyOf 1)stringAlternative*Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads.
Read only: true
anchor_gid (anyOf 2)nullAlternative
created_byModelOptionalExpand Get an OOO entry — response body — data data user
typestringOptionalKnown values: comment, system
Read only: true
is_editablebooleanOptional*Conditional*. Whether the text of the story can be edited after creation.
Read only: true
is_editedbooleanOptional*Conditional*. Whether the text of the story has been edited after creation.
Read only: true
heartedbooleanOptional*Deprecated - please use likes instead*
*Conditional*. True if the story is hearted by the authorized user, false if not.
Read only: true
heartsarrayOptional*Deprecated - please use likes instead*

*Conditional*. Array of likes for users who have hearted this story.
Read only: true
hearts[]ModelEach itemExpand Get a goal — response body — data data likes item
num_heartsJSONOptional
num_hearts (anyOf 1)integerAlternative*Deprecated - please use likes instead*

*Conditional*. The number of users who have hearted this story.
Read only: true
num_hearts (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
likedbooleanOptional*Conditional*. True if the story is liked by the authorized user, false if not.
Read only: true
likesarrayOptional*Conditional*. Array of likes for users who have liked this story.
Read only: true
likes[]ModelEach itemExpand Get a goal — response body — data data likes item
num_likesJSONOptional
num_likes (anyOf 1)integerAlternative*Conditional*. The number of users who have liked this story.
Read only: true
num_likes (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
reaction_summaryarrayOptionalSummary of emoji reactions on this story.
Read only: true
reaction_summary[]ModelEach itemExpand Get a story — response body — data data reaction summary item
previewsarrayOptional*Conditional*. A collection of previews to be displayed in the story.

*Note: This property only exists for comment stories.*
Read only: true
previews[]ModelEach itemExpand Get a story — response body — data data previews item
old_namestringOptional*Conditional* The previous name of the task before a name change.
new_nameJSONOptional
new_name (anyOf 1)stringAlternative*Conditional* The updated name of the task after a name change.
Read only: true
new_name (anyOf 2)nullAlternative
old_datesModelOptionalExpand Get a story — response body — data data new dates
new_datesModelOptionalExpand Get a story — response body — data data new dates
old_resource_subtypestringOptional*Conditional*
Read only: true
new_resource_subtypestringOptional*Conditional*
Read only: true
storyModelOptionalExpand Get a story — response body — data data story
assigneeModelOptionalExpand Get a timesheet approval status — response body — data data user
followerModelOptionalExpand Get a timesheet approval status — response body — data data user
old_sectionModelOptionalExpand Get a story — response body — data data new section
new_sectionModelOptionalExpand Get a story — response body — data data new section
taskModelOptionalExpand Get a story — response body — data data task
projectobjectOptionalA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
A *project* represents a prioritized list of tasks in Asana or a board with columns of tasks represented as cards. It exists in a single workspace or organization and is accessible to a subset of users in that workspace or organization, depending on its permissions.
Read only: true
project.gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
project.resource_typestringOptionalThe base type of this resource.
Read only: true
project.namestringOptionalName of the project. This is generally a short sentence fragment that fits on a line in the UI for maximum readability. However, it can be longer.
project.resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Known values: default_project, custom
tagModelOptionalExpand Get a story — response body — data data tag
custom_fieldobjectOptionalA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
Custom Fields store the metadata that is used in order to add user-specified information to tasks in Asana. Be sure to reference the [custom fields](/reference/custom-fields) developer documentation for more information about how custom fields relate to various resources in Asana.

Users in Asana can [lock custom fields](https://asana.com/guide/help/premium/custom-fields#gl-lock-fields), which will make them read-only when accessed by other users. Attempting to edit a locked custom field will return HTTP error code `403 Forbidden`.
Read only: true
custom_field.gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
custom_field.resource_typestringOptionalThe base type of this resource.
Read only: true
custom_field.namestringOptionalThe name of the custom field.
custom_field.typestringOptional*Deprecated: new integrations should prefer the resource_subtype field.* The type of the custom field. Must be one of the given values.

Known values: text, enum, multi_enum, number, date, people, reference
Read only: true
custom_field.enum_optionsarrayOptional*Conditional*. Only relevant for custom fields of type `enum` or `multi_enum`. This array specifies the possible values which an `enum` custom field can adopt. To modify the enum options, refer to [working with enum options](/reference/createenumoptionforcustomfield).
custom_field.enum_options[]ModelEach itemExpand Get a custom field — response body — data data enum options item
custom_field.enabledbooleanOptional*Conditional*. This field applies only to [custom field values](/docs/custom-fields-guide#/accessing-custom-field-values-on-tasks-or-projects) and is not available for [custom field definitions](/docs/custom-fields-guide#/accessing-custom-field-definitions).
Determines if the custom field is enabled or not. For more details, see the [Custom Fields documentation](/docs/custom-fields-guide#/enabled-and-disabled-values).
Read only: true
custom_field.representation_typestringOptionalThis field tells the type of the custom field.
Known values: text, enum, multi_enum, number, date, people, formula, custom_id, reference
Read only: true
custom_field.id_prefixJSONOptional
custom_field.id_prefix (anyOf 1)stringAlternativeThis field is the unique custom ID string for the custom field.
custom_field.id_prefix (anyOf 2)nullAlternative
custom_field.input_restrictionsarrayOptional
custom_field.input_restrictions[]stringEach item*Conditional*. Only relevant for custom fields of type `reference`. This array of strings reflects the allowed types of objects that can be written to a `reference` custom field value.
Known values: task, project, portfolio, goal
custom_field.is_formula_fieldbooleanOptional*Conditional*. This flag describes whether a custom field is a formula custom field.
custom_field.is_lookup_fieldbooleanOptional*Conditional*. This flag describes whether a custom field is a lookup custom field.
custom_field.date_valueJSONOptional
custom_field.date_value (anyOf 1)ModelAlternativeExpand Get a custom field — response body — data data date value date, date time
custom_field.date_value (anyOf 2)nullAlternative
custom_field.enum_valueJSONOptional
custom_field.enum_value (anyOf 1)ModelAlternativeExpand Get a custom field — response body — data data enum value color, enabled, gid, name, resource type
custom_field.enum_value (anyOf 2)nullAlternative
custom_field.multi_enum_valuesarrayOptional*Conditional*. Only relevant for custom fields of type `multi_enum`. This object is the chosen values of a `multi_enum` custom field.
custom_field.multi_enum_values[]ModelEach itemExpand Get a custom field — response body — data data enum options item
custom_field.number_valueJSONOptional
custom_field.number_value (anyOf 1)JSONAlternative
custom_field.number_value (anyOf 1) (anyOf 1)numberAlternative*Conditional*. This number is the value of a `number` custom field.
custom_field.number_value (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
custom_field.number_value (anyOf 2)nullAlternative
custom_field.text_valueJSONOptional
custom_field.text_value (anyOf 1)stringAlternative*Conditional*. This string is the value of a `text` custom field.
custom_field.text_value (anyOf 2)nullAlternative
custom_field.display_valueJSONOptional
custom_field.display_value (anyOf 1)stringAlternativeA string representation for the value of the custom field. Integrations that don't require the underlying type should use this field to read values. Using this field will future-proof an app against new custom field types.
Read only: true
custom_field.display_value (anyOf 2)nullAlternative
old_text_valuestringOptional*Conditional* The previous value of a text-type field before it was updated.
Read only: true
new_text_valuestringOptional*Conditional* The new value of a text-type field after it was updated.
Read only: true
old_number_valueJSONOptional
old_number_value (anyOf 1)JSONAlternative
old_number_value (anyOf 1) (anyOf 1)integerAlternative*Conditional* The previous value of a number-type custom field before the update.
Read only: true
old_number_value (anyOf 1) (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
old_number_value (anyOf 2)nullAlternative
new_number_valueJSONOptional
new_number_value (anyOf 1)integerAlternative*Conditional* The new value of a number-type custom field after the update.
Read only: true
new_number_value (anyOf 2)stringAlternativePattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$
old_enum_valueModelOptionalExpand Get a story — response body — data data new enum value
new_enum_valueModelOptionalExpand Get a story — response body — data data new enum value
old_date_valueJSONOptionalRead only: true
old_date_value (allOf 1)ModelAll variants applyExpand Get a story — response body — data data new dates
old_date_value (allOf 2)JSONAll variants apply*Conditional*. The old value of a date custom field story.
new_date_valueJSONOptionalRead only: true
new_date_value (allOf 1)ModelAll variants applyExpand Get a story — response body — data data new dates
new_date_value (allOf 2)JSONAll variants apply*Conditional* The new value of a date custom field story.
old_people_valuearrayOptional*Conditional*. The old value of a people custom field story.
Read only: true
old_people_value[]ModelEach itemExpand Get an OOO entry — response body — data data user
new_people_valuearrayOptional*Conditional*. The new value of a people custom field story.
Read only: true
new_people_value[]ModelEach itemExpand Get an OOO entry — response body — data data user
old_multi_enum_valuesarrayOptional*Conditional*. The old value of a multi-enum custom field story.
Read only: true
old_multi_enum_values[]ModelEach itemExpand Get a custom field — response body — data data enum options item
new_multi_enum_valuesarrayOptional*Conditional*. The new value of a multi-enum custom field story.
Read only: true
new_multi_enum_values[]ModelEach itemExpand Get a custom field — response body — data data enum options item
new_approval_statusstringOptional*Conditional*. The new value of approval status.
Read only: true
old_approval_statusstringOptional*Conditional*. The old value of approval status.
Read only: true
duplicate_ofModelOptionalExpand Get a story — response body — data data task
duplicated_fromModelOptionalExpand Get a story — response body — data data task
dependencyModelOptionalExpand Get a story — response body — data data task
sourcestringOptionalThe component of the Asana product the user used to trigger the story.
Known values: web, email, mobile, api, unknown
Read only: true
targetobjectOptionalA generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
The *task* is the basic object around which many operations in Asana are centered.A generic Asana Resource, containing a globally unique identifier.A generic Asana Resource, containing a globally unique identifier.
The *task* is the basic object around which many operations in Asana are centered.
The object this story is associated with. Currently may only be a task.
Read only: true
target.gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
target.resource_typestringOptionalThe base type of this resource.
Read only: true
target.namestringOptionalThe name of the task.
target.resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
The resource_subtype `milestone` represent a single moment in time. This means tasks with this subtype cannot have a start_date.
Known values: default_task, milestone, approval, custom
target.created_byobjectOptional[Opt In](/docs/inputoutput-options). A *user* object represents an account in Asana that can be given access to various workspaces, projects, and tasks.
Read only: true
target.created_by.gidstringOptionalGlobally unique identifier of the resource.
target.created_by.resource_typestringOptionalThe type of resource.

Referenced models: Get an OOO entry — response body — data data user, Get a custom field — response body — data data date value date, date time, Get a custom field — response body — data data enum options item, Get a custom field — response body — data data enum value color, enabled, gid, name, resource type, Get a goal — response body — data data likes item, Get a story — response body — data data new enum value, Get a story — response body — data data new section, Get a story — response body — data data previews item, Get a story — response body — data data reaction summary item, Get a story — response body — data data new dates, Get a timesheet approval status — response body — data data user, Get a story — response body — data data story, Get a story — response body — data data tag, Get a story — response body — data data task

Get stories from a goal — request body — query

FieldTypePresenceDescription and constraints
$objectRootAdditional keys: not allowed
opt_prettybooleanOptional
limitintegerOptionalMinimum: 1
Maximum: 100
offsetstringOptional
created_afterstringOptionalFormat: date-time
resource_subtypestringOptionalOne of: comment_added
sort_ascendingbooleanOptionalDefault: true
opt_fieldsarrayOptional
opt_fields[]stringEach itemOne of: anchor_gid, assignee, assignee.name, comment_gid, created_at, created_by, created_by.name, custom_field, custom_field.date_value, custom_field.date_value.date, custom_field.date_value.date_time, custom_field.display_value, custom_field.enabled, custom_field.enum_options, custom_field.enum_options.color, custom_field.enum_options.enabled, custom_field.enum_options.name, custom_field.enum_value, custom_field.enum_value.color, custom_field.enum_value.enabled, custom_field.enum_value.name, custom_field.id_prefix, custom_field.input_restrictions, custom_field.is_formula_field, custom_field.is_lookup_field, custom_field.multi_enum_values, custom_field.multi_enum_values.color, custom_field.multi_enum_values.enabled, custom_field.multi_enum_values.name, custom_field.name, custom_field.number_value, custom_field.representation_type, custom_field.text_value, custom_field.type, dependency, dependency.created_by, dependency.name, dependency.resource_subtype, duplicate_of, duplicate_of.created_by, duplicate_of.name, duplicate_of.resource_subtype, duplicated_from, duplicated_from.created_by, duplicated_from.name, duplicated_from.resource_subtype, follower, follower.name, hearted, hearts, hearts.user, hearts.user.name, html_text, is_editable, is_edited, is_pinned, liked, likes, likes.user, likes.user.name, new_approval_status, new_date_value, new_dates, new_dates.due_at, new_dates.due_on, new_dates.start_on, new_enum_value, new_enum_value.color, new_enum_value.enabled, new_enum_value.name, new_multi_enum_values, new_multi_enum_values.color, new_multi_enum_values.enabled, new_multi_enum_values.name, new_name, new_number_value, new_people_value, new_people_value.name, new_resource_subtype, new_section, new_section.name, new_text_value, num_hearts, num_likes, offset, old_approval_status, old_date_value, old_dates, old_dates.due_at, old_dates.due_on, old_dates.start_on, old_enum_value, old_enum_value.color, old_enum_value.enabled, old_enum_value.name, old_multi_enum_values, old_multi_enum_values.color, old_multi_enum_values.enabled, old_multi_enum_values.name, old_name, old_number_value, old_people_value, old_people_value.name, old_resource_subtype, old_section, old_section.name, old_text_value, path, previews, previews.fallback, previews.footer, previews.header, previews.header_link, previews.html_text, previews.text, previews.title, previews.title_link, project, project.name, project.resource_subtype, reaction_summary, reaction_summary.count, reaction_summary.emoji_base, reaction_summary.reacted, reaction_summary.variant, resource_subtype, source, sticker_name, story, story.anchor_gid, story.comment_gid, story.created_at, story.created_by, story.created_by.name, story.resource_subtype, story.text, tag, tag.name, target, target.created_by, target.name, target.resource_subtype, task, task.created_by, task.name, task.resource_subtype, text, type, uri

Get stories from a goal — response body — data, next page

FieldTypePresenceDescription and constraints
$objectRoot
dataarrayRequired within parent
data[]ModelEach itemExpand Get a story — response body — data data — sdk__Story Response
next_pageModelOptionalExpand Get goals — response body — data, next page next page

Referenced models: Get goals — response body — data, next page next page, Get a story — response body — data data — sdk__Story Response

Get stories from a goal — response body — data, next page data item

FieldTypePresenceDescription and constraints
$objectRootA story represents an activity associated with an object in the Asana system.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
comment_gidJSONOptional
comment_gid (anyOf 1)stringAlternative*Conditional*. The GID of this comment's envelope, distinct from the story `gid`. Request with `opt_fields=comment_gid` on story reads. For a top-level task comment, pass this value as `parent_comment` when creating a threaded reply. Null for a legacy comment without an envelope; absent on non-comment stories.
Read only: true
comment_gid (anyOf 2)nullAlternative
anchor_gidJSONOptional
anchor_gid (anyOf 1)stringAlternative*Conditional*. The GID of the object this comment is anchored to. For a top-level task comment this is the task GID; for a threaded reply this is the parent comment's envelope GID (`comment_gid`). Also present on sticker stories. Request with `opt_fields=anchor_gid` on story reads.
Read only: true
anchor_gid (anyOf 2)nullAlternative
created_atstringOptionalThe time at which this resource was created.
Format: date-time
Read only: true
created_byModelOptionalExpand Get users in a team — response body — data data item
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Read only: true
textstringOptional*Create-only*. Human-readable text for the story or comment.
This will not include the name of the creator.
*Note: This is not guaranteed to be stable for a given type of story. For example, text for a reassignment may not always say “assigned to …” as the text for a story can both be edited and change based on the language settings of the user making the request.*
Use the `resource_subtype` property to discover the action that created the story.

Referenced models: Get users in a team — response body — data data item

Update a story — request body — body data

FieldTypePresenceDescription and constraints
$objectRootA story represents an activity associated with an object in the Asana system.
gidstringOptionalGlobally unique identifier of the resource, as a string.
Read only: true
resource_typestringOptionalThe base type of this resource.
Read only: true
created_atstringOptionalThe time at which this resource was created.
Format: date-time
Read only: true
resource_subtypestringOptionalThe subtype of this resource. Different subtypes retain many of the same fields and behavior, but may render differently in Asana or represent resources with different semantic meaning.
Read only: true
textstringOptionalThe plain text of the comment to add. Cannot be used with html_text.
html_textstringOptional[Opt In](/docs/inputoutput-options). HTML formatted text for a comment. This will not include the name of the creator. See [rich text](/docs/rich-text).
is_pinnedbooleanOptional*Conditional*. Whether the story should be pinned on the resource.
sticker_namestringOptionalThe name of the sticker in this story. `null` if there is no sticker.
One of: green_checkmark, people_dancing, dancing_unicorn, heart, party_popper, people_waving_flags, splashing_narwhal, trophy, yeti_riding_unicorn, celebrating_people, determined_climbers, phoenix_spreading_love

Report an issue with this page

Necessary

Required for sign-in, security, authorization, and remembering your choices.

Always active

Analytics

Helps us understand which product and documentation features are useful.

Performance diagnostics

Uses performance tracing and privacy-masked session replay to diagnose problems.

You can change these choices at any time from Cookie settings.